Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 607138 (CVE-2017-5373, CVE-2017-5375, CVE-2017-5376, CVE-2017-5378, CVE-2017-5380, CVE-2017-5383, CVE-2017-5386, CVE-2017-5390, CVE-2017-5396) - <www-client/firefox-{45.7.0,51.0}, <www-client/firefox-bin-{45.7.0,51.0}: Multiple security vulnerabilities
Summary: <www-client/firefox-{45.7.0,51.0}, <www-client/firefox-bin-{45.7.0,51.0}: Mul...
Status: RESOLVED FIXED
Alias: CVE-2017-5373, CVE-2017-5375, CVE-2017-5376, CVE-2017-5378, CVE-2017-5380, CVE-2017-5383, CVE-2017-5386, CVE-2017-5390, CVE-2017-5396
Product: Gentoo Security
Classification: Unclassified
Component: Vulnerabilities (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo Security
URL: https://www.mozilla.org/en-US/securit...
Whiteboard: A2 [glsa cve]
Keywords:
Depends on:
Blocks:
 
Reported: 2017-01-25 06:57 UTC by Francis Booth
Modified: 2017-02-21 00:00 UTC (History)
1 user (show)

See Also:
Package list:
=www-client/firefox-45.7.0 amd64 x86 ppc ppc64 =www-client/firefox-bin-45.7.0 amd64 x86
Runtime testing required: ---
stable-bot: sanity-check+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Francis Booth 2017-01-25 06:57:39 UTC
From ${URL} :

Mozilla Foundation Security Advisory 2017-02

CVE-2017-5375: Excessive JIT code allocation allows bypass of ASLR and DEP
            JIT code allocation can allow for a bypass of ASLR and DEP protections leading to potential memory corruption attacks.
            Impact: Critical

CVE-2017-5376: Use-after-free in XSL
            Use-after-free while manipulating XSL in XSLT documents
            Impact: Critical

CVE-2017-5378: Pointer and frame data leakage of Javascript objects
            Hashed codes of JavaScript objects are shared between pages. This allows for pointer leaks because an object’s address can be discovered through hash codes, and also allows for data leakage of an object’s content using these hash codes.
            Impact: High

CVE-2017-5380: Potential use-after-free during DOM manipulations
            A potential use-after-free found through fuzzing during DOM manipulation of SVG content.
            Impact: High

CVE-2017-5390: Insecure communication methods in Developer Tools JSON viewer
            The JSON viewer in the Developer Tools uses insecure methods to create a communication channel for copying and viewing JSON or HTTP headers data, allowing for potential privilege escalation.
            Impact: High

CVE-2017-5396: Use-after-free with Media Decoder
            A use-after-free vulnerability in the Media Decoder when working with media files when some events are fired after the media elements are freed from memory.
            Impact: High

CVE-2017-5383: Location bar spoofing with unicode characters
            URLs containing certain unicode glyphs for alternative hyphens and quotes do not properly trigger punycode display, allowing for domain name spoofing attacks in the location bar.
            Impact: Moderate

CVE-2017-5386: WebExtensions can use data: protocol to affect other extensions
            WebExtension scripts can use the data: protocol to affect pages loaded by other web extensions using this protocol, leading to potential data disclosure or privilege escalation in affected extensions.
            Impact: Moderate

CVE-2017-5373: Memory safety bugs fixed in Firefox 51 and Firefox ESR 45.7
            Mozilla developers and community members Christian Holler, Gary Kwong, André Bargull, Jan de Mooij, Tom Schuster, and Oriol reported memory safety bugs present in Firefox 50.1 and Firefox ESR 45.6. Some of these bugs showed evidence of memory corruption and we presume that with enough effort that some of these could be exploited to run arbitrary code.
            Impact: Critical

Reproducible: Always
Comment 1 Agostino Sarubbo gentoo-dev 2017-01-25 08:15:48 UTC
Thanks for the report.
Comment 2 Thomas Deutschmann gentoo-dev Security 2017-01-26 21:18:57 UTC
Now in repository. Thank you, maintainer(s)!

@ Arches,

please test and mark stable:

=www-client/firefox-45.7.0 amd64 x86 ppc ppc64
=www-client/firefox-bin-45.7.0 amd64 x86
Comment 3 Agostino Sarubbo gentoo-dev 2017-01-30 13:10:10 UTC
amd64 stable
Comment 4 Agostino Sarubbo gentoo-dev 2017-01-31 11:44:39 UTC
x86 stable
Comment 5 Agostino Sarubbo gentoo-dev 2017-02-12 17:02:20 UTC
ppc stable
Comment 6 Michael Weber (RETIRED) gentoo-dev 2017-02-16 07:33:17 UTC
ppc64 stable, all arches done.
Comment 7 Thomas Deutschmann gentoo-dev Security 2017-02-16 11:44:28 UTC
New GLSA request filed.

@ Maintainer(s): Please cleanup and drop <www-client/firefox-{,bin-}{45.7.0!
Comment 8 Ian Stakenvicius gentoo-dev 2017-02-16 14:30:48 UTC
(In reply to Thomas Deutschmann from comment #7)
> New GLSA request filed.
> 
> @ Maintainer(s): Please cleanup and drop <www-client/firefox-{,bin-}{45.7.0!

All clean. Thanks!
Comment 9 GLSAMaker/CVETool Bot gentoo-dev 2017-02-20 23:59:45 UTC
This issue was resolved and addressed in
 GLSA 201702-22 at https://security.gentoo.org/glsa/201702-22
by GLSA coordinator Thomas Deutschmann (whissi).